# OpenLayers.Format.WPSDescribeProcess

Read WPS DescribeProcess responses.

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.WPSDescribeProcess | Read WPS DescribeProcess responses.
Constants |
VERSION | {String} 1.0.0
Properties |
namespaces | {Object} Mapping of namespace aliases to namespace URIs.
schemaLocation | {String} Schema location
defaultPrefix |
regExes | Compiled regular expressions for manipulating strings.
Constructor |
OpenLayers.Format.WPSDescribeProcess |
Functions |
read | Parse a WPS DescribeProcess and return an object with its information.
Properties |
readers | Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name.

### Constants

### VERSION

{String} 1.0.0

### Properties

### namespaces

{Object} Mapping of namespace aliases to namespace URIs.

### schemaLocation

{String} Schema location

### defaultPrefix

### regExes

Compiled regular expressions for manipulating strings.

### Constructor

### OpenLayers.Format.WPSDescribeProcess

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### read

> read: function( | data | )

Parse a WPS DescribeProcess and return an object with its information.

#### Parameters

data | {String} or {DOMElement} data to read/parse.

#### Returns

{Object}

### Properties

### readers

Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name. The function will be applied in the scope of this parser with two arguments: the node being read and a context object passed from the parent.

> read: function( | data | )

Parse a WPS DescribeProcess and return an object with its information.
Read and write XML.
Close